List applications
curl --request GET \
--url https://cloud.laravel.com/api/applications \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "applications",
"attributes": {
"name": "<string>",
"slug": "<string>",
"slack_channel": "<string>",
"avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"repository": {
"full_name": "<string>",
"default_branch": "<string>"
}
},
"relationships": {
"repository": {
"data": {
"type": "repositories",
"id": "<string>"
}
},
"organization": {
"data": {
"type": "organizations",
"id": "<string>"
}
},
"environments": {
"data": [
{
"type": "environments",
"id": "<string>"
}
]
},
"deployments": {
"data": [
{
"type": "deployments",
"id": "<string>"
}
]
},
"defaultEnvironment": {
"data": {
"type": "environments",
"id": "<string>"
}
}
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
},
"included": [
{
"id": "<string>",
"type": "repositories",
"attributes": {
"name": "<string>"
}
}
]
}Applications
List applications
Get a list of all applications for the authenticated organization.
GET
/
applications
List applications
curl --request GET \
--url https://cloud.laravel.com/api/applications \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "applications",
"attributes": {
"name": "<string>",
"slug": "<string>",
"slack_channel": "<string>",
"avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"repository": {
"full_name": "<string>",
"default_branch": "<string>"
}
},
"relationships": {
"repository": {
"data": {
"type": "repositories",
"id": "<string>"
}
},
"organization": {
"data": {
"type": "organizations",
"id": "<string>"
}
},
"environments": {
"data": [
{
"type": "environments",
"id": "<string>"
}
]
},
"deployments": {
"data": [
{
"type": "deployments",
"id": "<string>"
}
]
},
"defaultEnvironment": {
"data": {
"type": "environments",
"id": "<string>"
}
}
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
},
"included": [
{
"id": "<string>",
"type": "repositories",
"attributes": {
"name": "<string>"
}
}
]
}Authorizations
The Bearer Token generated on the Cloud UI.
Query Parameters
Available options:
organization, environments, defaultEnvironment Response
Paginated set of ApplicationResource
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
included
(RepositoryResource · object | OrganizationResource · object | EnvironmentResource · object | DeploymentResource · object)[]
- RepositoryResource
- OrganizationResource
- EnvironmentResource
- DeploymentResource
Show child attributes
Show child attributes
Was this page helpful?
⌘I

